<template>
  <section
    data-cid="{ BhServerErrorUi }"
    data-grid-area="details"
    class="h-full w-full bg-gray-200"
  >
    <a-box-l class="reset">
      <a-center-l>
        <a-stack-l class="reset space-y-8">
          <h2 class="font-light text-2xl text-gray-500 text-right">
            {{ message }}
          </h2>
          <img
            src="~assets/images/bizhunt-server-error.svg"
            alt="Imatge que informa que s'ha produït un error inesperat en servidor"
            width="600"
            height="503"
          />
        </a-stack-l>
      </a-center-l>
    </a-box-l>
  </section>
</template>

<script>
export default {
  name: 'BhServerErrorUi',
  props: {
    messageId: {
      type: String,
      default: 'default',
    },
  },
  computed: {
    message() {
      let mesg = this.$appMessages[this.messageId];

      if (this.messageId !== 'default') {
        mesg = `${mesg} ${this.$appMessages.default}`;
      }

      return mesg;
    },
  },
};
</script>
